Bug 1573136 - gnome-initial-setup does not respect the keyboard layout chosen in Anaconda during setup
Summary: gnome-initial-setup does not respect the keyboard layout chosen in Anaconda d...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-30 10:12 UTC by Daniel Davies
Modified: 2020-11-24 18:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:49:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Daniel Davies 2018-04-30 10:12:33 UTC
Description of problem:
gnome-initial-setup does not respect the keyboard layout / Input Source chosen in Anaconda, marring the intial user setup experience for users with who chose a different keyboard layout.

Version-Release number of selected component (if applicable):
Fedora-Workstation-Live-x86_64-28_Beta-1.3

How reproducible:
100%

Steps to Reproduce:
1. Live CD > Choose Install to Hard Drive
2. In the Localization Spoke, choose a non default keyboard layout, Eg colemak, Dvorak etc remove any other keyboards layouts
3. After instalation reboot, walk through gnome-initial-setup 
  - Welcome Screen (No impact)
  - Privacy Screen (No impact)
  - Online Accounts (Possible impact - If adding accounts this is the first time a user will notice keyboard layout is inconsistent choice made in Anaconda)
  - About You (Impact - User will always see keyboard layout is inconsistent with choice made in Anaconda)
  - Password (Impact - User have to create a password on a layout inconsistent with choice made in Anaconda)

Additional info:
Checking Gnome Settings > Region & Language after completing gnome-initial setup shows the Language, Formats and Input Source are consistent with the choices made in Anaconda during the initial setup, and the Gnome environment now respects the installation choices.

Comment 1 Ben Cotton 2019-05-02 21:32:33 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-08-13 17:08:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 3 Ben Cotton 2019-08-13 19:24:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 4 Ben Cotton 2020-11-03 15:00:41 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 18:49:49 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.